<?
include('cfg.php');
echo '<link rel="stylesheet" type="text/css" href="style.css"/><div class="head">['.$user[login].']</div><div class="money">';
if ($user['rank']=='Админ' OR $user['rank']=='Модер')
{
switch($_GET[a])
	{
    default:
	echo 'Модер панель</div>';
	echo '<a class="razd" href="?a=bun">Забанить</a>';
	echo '<a class="razd" href="?a=unbun">Разбанить</a>';
	echo '<a class="razd" href="?a=ipbun">Запретить последующую регу</a>';
	echo '<a class="razd" href="?a=ipunbun">Разбанить IP</a>';
	echo '<a class="razd" href="?a=countrylogin">Узнать логин/страну</a>';
	echo '<a class="razd" href="?a=clearmail">Удалить почту игрока</a>';
	echo '<a class="razd" href="?a=bunmail">Блокировать почту</a>';

    break;

	case 'bunmail':
	if (isset($_POST['country']))
		{
		$isset_login2 = mysql_result(mysql_query("SELECT count(id) FROM users WHERE `login`='$_POST[country]'"),0);
		if ($isset_login2 >= '1')
			{
			$how = intval($_POST['world']);
			$how_text = '';
			if ($how == '300') $how_text = '5 минут';
			if ($how == '3600') $how_text = 'Час';
			if ($how == '21600') $how_text = '6 часов';
			if ($how == '86400') $how_text = 'Сутки';
			if ($how == '560000') $how_text = 'Неделя';
			if ($how == '41104000') $how_text = 'Вечность';
			if ($how_text == '') $how_text = $how.' сек';

			mysql_query("INSERT INTO `mlog` SET `user`='$id',`text`='Блокирова почту ".$_POST[country]." на $how_text'");
		echo $_POST['country'].' получил молчанку в почте на '.$how_text.'';
		echo '<br /><a href="./modpan.php">В панель</a>';
		mysql_query("UPDATE `users` SET `msg_send`=msg_send+'$how' WHERE `login`='$_POST[country]'");
			} else echo 'Логин не сущетсвует. Проверь правильность написания<br /><a href="?a=bunmail">Еще раз</a>';
		} else {
	echo '<form method="POST" action="">
	Введите <b>логин</b> (<b>Не страну</b>):
	<input type="text" name="country"><br />
	<input type="radio" name="world" value="300">5 минут<br />
			<input type="radio" name="world" value="3600">Час<br />
			<input type="radio" name="world" value="21600">6 часов<br />
			<input type="radio" name="world" value="86400">Сутки<br />
			<input type="radio" name="world" value="560000">Неделя<br />
			<input type="radio" name="world" value="41104000">Вечность<br />
	<input type="submit" value="Блок">
	</form>';
				}
    break;








	case 'clearmail':
	if (isset($_POST['country']))
		{
		$isset_country = mysql_result(mysql_query("SELECT count(`id`) FROM `users` WHERE `login`='".htmlspecialchars($_POST['country'])."'"),0);
		if ($isset_country >= '1')
			{
			mysql_query("DELETE FROM `msg` WHERE `by_whom`='".htmlspecialchars($_POST['country'])."'");
			echo 'Все исходящие сообщения от '.$_POST[country].' были успешно удалены';
			mysql_query("INSERT INTO `mlog` SET `user`='$id',`text`='Очистил исходящие сообщения у ".$_POST[country]."'");
			echo '<br /><a href="./modpan.php">В панель</a>';
			} else echo 'Логин не сущетсвует. Проверь правильность написания<br /><a href="?a=clearmail">Еще раз</a>';
		} else {
	echo '<form method="POST" action="">
	Введите <b>логин</b> (<b>Не страну</b>):
	<input type="text" name="country"><br />
	<input type="submit" value="Очитсить">
	</form>';
				}
    break;



	case 'countrylogin':
	if (isset($_POST['country2']))
		{
		if (isset($_POST['login']))
			{
			$cc = mysql_fetch_array(mysql_query("SELECT `login`,`country` FROM `users` WHERE `country`='".htmlspecialchars($_POST['country2'])."'"));
			echo 'Стране '.$_POST['country2'].' принадлежит логин '.$cc['login'];
			}
		if (isset($_POST['country']))
			{
			$cc = mysql_fetch_array(mysql_query("SELECT `login`,`country` FROM `users` WHERE `login`='".htmlspecialchars($_POST['country2'])."'"));
			echo 'Логину '.$_POST['country2'].' принадлежит страна '.$cc['country'];
			}
			echo '<br /><a href="./modpan.php">В панель</a>';




		} else {
	echo '<form method="POST" action="">
	Страна или логин:
	<input type="text" name="country2"><br />
	<input type="submit" name="login" value="Узнать логин по стране"> / <input type="submit" name="country" value="Узнать страну по логину">
	</form>';
				}
    break;


	case 'ipunbun':
	if (isset($_POST['country']))
		{
		$isset_country = mysql_result(mysql_query("SELECT count(`id`) FROM `users` WHERE `ip`='".htmlspecialchars($_POST['country'])."'"),0);
		if ($isset_country >= '1')
			{
			mysql_query("DELETE FROM `reg_bun` WHERE `ip`='".$_POST['country']."'");
			mysql_query("INSERT INTO `mlog` SET `user`='$id',`text`='удалил IP ".htmlspecialchars($ip['ip'])." из  списка запрещенных для регистрации'");
			echo 'ip  '.$ip['ip'].' удален из черного списка.<br /><a href="./modpan.php">В панель</a>';
			} else echo 'IP не сущетсвует. Проверь правильность написания<br /><a href="?a=ipunbun">Еще раз</a>';
		} else {
	echo '<form method="POST" action="">
	Введите IP:
	<input type="text" name="country"><br />
	<input type="submit" value="Разбанить IP">
	</form>';
				}
    break;



	case 'ipbun':
	if (isset($_POST['country']))
		{
		$isset_country = mysql_result(mysql_query("SELECT count(`id`) FROM `users` WHERE `country`='".htmlspecialchars($_POST['country'])."'"),0);
		if ($isset_country >= '1')
			{
			$ip = mysql_fetch_array(mysql_query("SELECT `ip` FROM `users` WHERE `country`='".htmlspecialchars($_POST['country'])."'"));
			mysql_query("INSERT INTO `reg_bun` SET `ip`='".$ip['ip']."'");
			mysql_query("INSERT INTO `mlog` SET `user`='$id',`text`='Внес IP ".htmlspecialchars($ip['ip'])." в список запрещенных для регистрации'");
			echo 'ip  '.$ip['ip'].' внесен в черный список.<br /><a href="./modpan.php">В панель</a>';
			} else echo 'Страны не сущетсвует. Проверь правильность написания<br /><a href="?a=ipbun">Еще раз</a>';
		} else {
	echo '<form method="POST" action="">
	Страна:
	<input type="text" name="country"><br />
	<input type="submit" value="Внести ip в список запрета">
	</form>';
				}
    break;


	case 'unbun':
	if (isset($_POST['country']))
		{
		$isset_country = mysql_result(mysql_query("SELECT count(`id`) FROM `users` WHERE `country`='".htmlspecialchars($_POST['country'])."'"),0);
		if ($isset_country >= '1')
			{
			mysql_query("UPDATE `users` SET `bun_end`='0',`bun_reason`='' WHERE `country`='".htmlspecialchars($_POST['country'])."'");
			mysql_query("INSERT INTO `mlog` SET `user`='$id',`text`='Разбанил ".htmlspecialchars($_POST['country'])."'");
			echo $_POST['country'].' успешно разбанен.<br /><a href="./modpan.php">В панель</a>';
			} else echo 'Страны не сущетсвует. Проверь правильность написания<br /><a href="?a=unbun">Еще раз</a>';
		} else {
	echo '<form method="POST" action="">
	Страна:
	<input type="text" name="country"><br />
	<input type="submit" value="Бан">
	</form>';
				}
    break;



	case 'bun':
	if (isset($_POST['country']))
		{
		$isset_country = mysql_result(mysql_query("SELECT count(`id`) FROM `users` WHERE `country`='".htmlspecialchars($_POST['country'])."'"),0);
		if ($isset_country >= '1')
			{
			mysql_query("UPDATE `users` SET `bun_end`='2373306082',`bun_reason`='".htmlspecialchars($_POST['reason'])."' WHERE `country`='".htmlspecialchars($_POST['country'])."'");
			mysql_query("INSERT INTO `mlog` SET `user`='$id',`text`='Забанил ".htmlspecialchars($_POST['country'])."'");
			echo $_POST['country'].' успешно забанен.<br /><a href="./modpan.php">В панель</a>';
			} else echo 'Страны не сущетсвует. Проверь правильность написания<br /><a href="?a=bun">Еще раз</a>';
		} else {
	echo '<form method="POST" action="">
	Страна:
	<input type="text" name="country"><br />
	Причина:
	<input type="text" name="reason"><br />
	<input type="submit" value="Бан">
	</form>';
				}
    break;



	}
} else header("Location: index.php");
echo '
</div>
<div class="info">Меню</div>
<a class="razd" href="game.php">'.$iback.' Назад</a>
<a class="razd" href="exit.php">'.$iexit.' Выход</a>
<div class="footer"><center><a href="http://wapworld.pp.ua">© WapWorld Games</a><br/><br />
<script type="text/javascript" src="http://mobtop.ru/c/73888.js"></script><noscript><a href="http://mobtop.ru/in/73888"><img src="http://mobtop.ru/73888.gif" alt="MobTop.Ru - Рейтинг и статистика мобильных сайтов"/></a></noscript>
</div>
</body></html>
';


?>